<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 10/24/2003 *
 * ===================                          Last change: 06/30/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : frametester.php                                  *
 * -------------------------------------------------------------------- *
 * Short description : Test your website against frame killers          *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Testet die Mitgliedsseite gegen Frame-Killer     *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * Needs to be in all Files and every File needs "svn propset           *
 * svn:keywords Date Revision" (autoprobset!) at least!!!!!!            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	die();
} // END - if

$mode = 'guest';

if (isGetRequestElementSet('order')) {
	// Order number placed, is he also logged in?
	if (isMember()) {
		// Ok, test passed... :)
		$result = SQL_QUERY_ESC("SELECT `subject`, `url` FROM `{?_MYSQL_PREFIX?}_pool` WHERE `id`=%s AND `sender`=%s AND `data_type`='TEMP' LIMIT 1",
			array(bigintval(getRequestElement('order')), getMemberId()), __FILE__, __LINE__);

		// Finally is the entry valid?
		if (SQL_NUMROWS($result) == 1) {
			// Load subject and URL (but forwhat do we need the subject line here???
			list($sub, $url) = SQL_FETCHROW($result);

			// This fixes a white page
			setRequestPostElement('url', $url);

			// Mode is member
			$mode = 'member';
		} else {
			// Matching line not found!
			redirectToUrl('modules.php?module=index&amp;what=login');
		}

		// Free memory
		SQL_FREERESULT($result);
	} else {
		// He is no longer logged in
		redirectToUrl('modules.php?module=index&amp;what=login');
	}
} // END - if

if ((isPostRequestElementSet('url')) || (isGetRequestElementSet('url')) || (isGetRequestElementSet('frame'))) {
	// Default URL is ours
	$url = getConfig('URL');

	// Use URL from POST or GET data if set
	if (isPostRequestElementSet('url')) {
		// POST data comes first
		$url = postRequestElement('url');
	} elseif (isGetRequestElementSet('url')) {
		// Then GET data
	 	$url = decodeString(str_replace(' ', '+', compileUriCode(urldecode(getRequestElement('url')))));
	}

	// Add missing element
	$frame = '';
	if (isGetRequestElementSet('frame')) $frame = getRequestElement('frame');
	switch ($frame) {
		case '':
			switch ($mode) {
				case 'member':
					// Build frameset
					$content['order'] = bigintval(getRequestElement('order'));
					$content['url']   = generateDerefererUrl($url);
					loadTemplate('member_order_frametester', false, $content);
					break;

				case 'guest':
					$content['url']   = generateDerefererUrl($url);
					loadTemplate('guest_frametester', false, $content);
					break;
			} // END - switch
			break;

		case 'test_top':
			loadTemplate('admin_settings_saved', false, '<div class="guest_done">{--GUEST_FRAMETESTER_TOP--}</span>');
			break;

		case 'back': // Back buttom
			loadTemplate('member_order_back', false, getRequestElement('order'));
			break;

		case 'send': // Send mail away
			loadTemplate('member_order_send', false, getRequestElement('order'));
			break;
	} // END - switch
} else {
	// Go away...
	redirectToUrl('modules.php?module=login');
}

// [EOF]
?>
